
Foreman - Bug #5694

Error when clicking on hostname under hosts

05/13/2014 02:07 PM - Patrick Mayes

Status: Resolved   

Priority: High   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

ArgumentError

wrong number of arguments (1 for 2)

app/views/hosts/show.html.erb:4:in `_app_views_hosts_show_html_erb___4313549264552942868_78705800'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

-------/var/log/foreman/production.log----------------

Started GET "/hosts/<hostname>" for <ip_address> at 2014-05-13 09:58:10 -0400

Processing by HostsController#show as HTML

Parameters: {"id"=>"<hostname>"}

Rendered hosts/show.html.erb within layouts/application (3.2ms)

--------/var/log/foreman/cron.log---------------------

setup: skipping engine hook (undefined method `settings_menu_items' for module `HomeHelper')

rake aborted!

getaddrinfo: Name or service not known

Tasks: TOP => reports:summarize

(See full trace by running task with --trace)

setup: skipping engine hook (undefined method `settings_menu_items' for module `HomeHelper')

Operation FAILED: wrong number of arguments (1 for 2)

Rendered common/500.html.erb within layouts/application (4.4ms)

Rendered layouts/base.html.erb (1.2ms)

Completed 500 Internal Server Error in 19ms (Views: 6.7ms | ActiveRecord: 0.3ms)

History

#1 - 05/13/2014 02:10 PM - Dominic Cleal

- Status changed from New to Feedback

If you have the foreman_bootdisk plugin installed, please upgrade it to at least version 2.0.4 and it should fix this issue.

#2 - 05/13/2014 02:16 PM - Patrick Mayes

That worked!  Thanks!

#3 - 05/13/2014 02:18 PM - Dominic Cleal

- Status changed from Feedback to Resolved
